boost::geometry::strategy::transform::from_spherical_polar_3_to_cartesian_3< P1, P2 > Struct Template Reference
transform: apply transformations on geometries

Transformation strategy for 3D spherical (phi,theta,r) to 3D cartesian (x,y,z) More...

List of all members.

## Public Member Functions

bool | apply (P1 const &p1, P2 &p2) const

## Detailed Description

### template<typename P1, typename P2>
struct boost::geometry::strategy::transform::from_spherical_polar_3_to_cartesian_3< P1, P2 >

Transformation strategy for 3D spherical (phi,theta,r) to 3D cartesian (x,y,z)

Template Parameters:

  P1 | first point type
  P2 | second point type

## Member Function Documentation

template<typename P1 , typename P2 >

bool boost::geometry::strategy::transform::from_spherical_polar_3_to_cartesian_3< P1, P2 >::apply | ( | P1 const & | p1,
|  | P2 & | p2
| ) |  | const

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK